_bgs = {} _stars = {}

return Def.ActorFrame{
	
	InitCommand=function(self)
		the_whole_bg = self
	end,
	
	Name="Background container",
	FOV=60,
	
	LoadActor("stars-nm")..{ InitCommand=function(self) _stars[1] = self end,
	OnCommand=cmd(xy,SCREEN_CENTER_X,SCREEN_CENTER_Y;diffusealpha,1;basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;customtexturerect,0,0,8,8;zoom,12;rotationz,90;texcoordvelocity,0,.1) },
	LoadActor("stars-inv")..{ InitCommand=function(self) _stars[2] = self end,
	OnCommand=cmd(xy,SCREEN_CENTER_X,SCREEN_CENTER_Y;diffusealpha,0;basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;customtexturerect,0,0,8,8;zoom,12;rotationz,90;texcoordvelocity,0,.1) },
	
	LoadActor("oni-jkt")..{ InitCommand=function(self) _bgs[1] = self end, OnCommand=cmd(basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;diffusealpha,0) },
	LoadActor("stone-jkt")..{ InitCommand=function(self) _bgs[2] = self end, OnCommand=cmd(basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;diffusealpha,0) },
	LoadActor("demon-jkt")..{ InitCommand=function(self) _bgs[3] = self end, OnCommand=cmd(basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;diffusealpha,0) },
	LoadActor("bay-jkt")..{ InitCommand=function(self) _bgs[4] = self end, OnCommand=cmd(basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;diffusealpha,0) },
	LoadActor("forged-jkt")..{ InitCommand=function(self) _bgs[5] = self end, OnCommand=cmd(basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;diffusealpha,0) },
	LoadActor("tech-jkt")..{ InitCommand=function(self) _bgs[6] = self end, OnCommand=cmd(basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;diffusealpha,0) },
	LoadActor("-jkt")..{ InitCommand=function(self) _bgs[7] = self end, OnCommand=cmd(basezoomx,SCREEN_HEIGHT/480;basezoomy,SCREEN_HEIGHT/480;diffusealpha,0) },
	
}